#!/bin/sh

if ! test -f image/boot/isolinux/linux ; then
	echo "You are in the wrong directory"
	exit 1
fi

if ! test -f support/iso.srt ; then
	echo "You are in the wrong directory"
	exit 1
fi

echo "Creating the CD image advcd.iso, please wait..."
echo

if ! mkisofs -r -J -o advcd.iso \
	-V AdvanceCD \
	-sort support/iso.srt -hide-rr-moved \
	-b boot/isolinux/isolinux.bin -c boot/isolinux/boot.cat \
	-no-emul-boot -boot-load-size 32 -boot-info-table \
	image ; then
	echo
	echo "CD image NOT created!"
	exit 1
fi

echo
echo "CD image created!"

